ocfs2/dlm: Use negotiated o2dlm protocol version
authorSunil Mushran <sunil.mushran@oracle.com>
Wed, 4 May 2011 17:27:10 +0000 (10:27 -0700)
committerJoel Becker <jlbec@evilplan.org>
Fri, 13 May 2011 18:26:37 +0000 (11:26 -0700)
commit4da6dc293604f55d156148b8f60b94053e3195fc
tree5357b1d04f4b2b3ab34f2d502a74ca7757ab6857
parent9a790ba1ec02bbae0933e7ebd576c0bc329e9796
ocfs2/dlm: Use negotiated o2dlm protocol version

Patch fixes a bug in the o2dlm protocol negotiation in that it is using
the builtin version rather than the negotiated version during the domain
join. This causes join errors when a node having kernel >= 2.6.37 joins
a cluster with nodes having kernels < 2.6.37.

This only affects the o2cb cluster stack.

Signed-off-by: Sunil Mushran <sunil.mushran@oracle.com>
Reported-by: Jacek Stepniewski <Jacek.Stepniewski@agora.pl>
Acked-by: Mark Fasheh <mfasheh@suse.com>
Signed-off-by: Joel Becker <jlbec@evilplan.org>
fs/ocfs2/dlm/dlmdomain.c